improvements
diff --git a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/checkMirrors.sh b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/checkMirrors.sh
index 61d69f2..94def9c 100644
--- a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/checkMirrors.sh
+++ b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/checkMirrors.sh
@@ -113,7 +113,7 @@
 if [ -z ${urls} ] 
 then
 
-urls="/releases/ganymede/ /releases/galileo/ /eclipse/updates/ /webtools/updates/ /webtools/milestones/"
+urls="/releases/ganymede/ /releases/staging/ /releases/galileo/ /eclipse/updates/ /webtools/updates/ /webtools/milestones/"
     
 fi
     
diff --git a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/dounpack.sh b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/dounpack.sh
new file mode 100644
index 0000000..ffb8b99
--- /dev/null
+++ b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/dounpack.sh
@@ -0,0 +1,10 @@
+
+PACK_FILE=$1
+
+JAR_FILE=$PACK_FILE".jar"
+
+/shared/webtools/apps/ibm-java-ppc-604/jre/bin/unpack200 -v $PACK_FILE $JAR_FILE
+
+
+
+
diff --git a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/testmin.sh b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/testmin.sh
new file mode 100644
index 0000000..d4f6b46
--- /dev/null
+++ b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/testmin.sh
@@ -0,0 +1,155 @@
+#!/bin/bash
+
+# Simple script to count number of mirrors available for a particular URL
+
+# Copyright (c) 2009 IBM
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+#    David Williams - initial API and implementation
+
+
+function usage() {
+    printf "\n\tSimple script to count number of mirrors available for a particular URL" >&2
+    printf "\n\tUsage: %s [-h] | [-v] [-f] [-p] [-t number] urls" $(basename $0) >&2
+    printf "\n\t\t%s" "where h==help, v==verbose, f==only ftp mirrors, p==only http mirrors, t==test against 'number' " >&2
+    printf "\n\t\t%s"    "and urls is space delimited list of URL parameters," >&2
+    printf "\n\t\t%s\n"  "such as /ganymede/releases/site.xml" >&2
+}
+
+function checkMirrorsForURL() {
+
+    if [ -z $1 ]
+    then
+      echo "Error: internal funtion requires mirror url parameter";
+      exit 3;
+    else
+      mirrorURL=$1
+    fi  
+    if [ -z $2 ]
+    then
+      protocol=
+      pword="http and ftp"  
+    else
+      protocolarg="&protocol=$2"
+      pword="$2"
+    fi
+    
+    nMirrors=$(wget -q -O - "http://www.eclipse.org/downloads/download.php?file=${mirrorURL}&format=xml${protocolarg}" | grep \<mirror\ | wc -l)
+    echo "    number of" ${pword} "mirrors: " ${nMirrors} "  for" ${mirrorURL} 
+    exit $nMirrors
+}
+
+function minvalue() {
+ref=$1
+comp=$2
+result=
+#echo "ref: $ref \r";
+#echo "comp: " $comp "\r"
+if [ -z $ref ]
+then
+    #echo "no ref\r"
+    result=$comp
+else
+    if [ $ref -lt $comp ]
+    then
+        #echo "ref lt comp\r"
+        result=$ref
+    else
+        #echo "comp <= ref\r"
+        result=$comp
+    fi
+fi
+echo $result
+}
+
+
+urls=
+ftponly=0
+httponly=0
+protocol=
+while getopts 'hvfpt:' OPTION
+do
+    case $OPTION in
+        h)    usage
+        exit 1
+        ;;
+        f)    ftponly=1
+        ;;
+        p)    httponly=1
+        ;;
+        v)    verbose=1
+        ;;  
+        t)    testNumber=$OPTARG
+        ;;
+        ?)    usage
+        exit 2
+        ;;
+    esac
+done
+
+shift $(($OPTIND - 1))
+
+urls="$@"
+
+if [ $ftponly == 1 ]
+then
+ protocol="ftp"
+fi 
+if [ $httponly == 1 ]
+then
+ protocol="http"
+fi 
+if [ $ftponly == 1 -a $httponly == 1 ]
+then
+ protocol=
+fi
+
+if [ $verbose ]
+then
+ echo "ftponly: " $ftponly " httponly: " $httponly
+ echo "protocol: " $protocol
+ echo "urls: " $urls
+fi 
+
+minimumMirrors=
+if [ "${urls}" ] 
+then 
+  echo
+  for mirrorURL in ${urls}
+  do
+   nm=checkMirrorsForURL $mirrorURL $protocol
+   minimumMirrors=min $minimumMirrors $nm
+  done
+  echo
+else
+  usage
+fi
+
+if [ -z $testNumber ]
+then
+ if [ $verbose ]
+ then 
+   echo "no test mode"
+ fi
+ exit 0
+else
+ result=$($testNumber - $minimumMirrors)
+ if [ $result <= 0 ]
+ then
+   if [ $verbose ]
+   then 
+     echo "minimum mirrors was greater than or equal to criteria"
+   fi
+   exit 0
+ else  
+    if [ $verbose ]
+     then 
+       echo "minimum mirrors was not as large as criteria"
+     fi
+   exit result
+ fi 
+fi
\ No newline at end of file
diff --git a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verify.sh b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verify.sh
index 5a4754b..2881f9c 100644
--- a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verify.sh
+++ b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verify.sh
@@ -1,15 +1,58 @@
 # echo 
 # echo $(basename $1
-jarname=$(basename $1)
+filename="${1}"
+jarname=$(basename "${filename}")
+
+export JAVA_HOME=/shared/common/ibm-java2-ppc-50
+#JAVA_HOME=/shared/common/ibm-java-ppc-604
+#JAVA_HOME=/shared/common/ibm-java-jdk-ppc-60
+
+if [[ -z $VERIFYOUTDIR ]] 
+then
+    VERIFYOUTDIR="${HOME}"/verifyoutput
+fi
+
+if [[ "$jarname" =~ "(.*).pack.gz$" ]]
+then 
+    basejarname=${BASH_REMATCH[1]}
+    #echo -e "\n basejarname: " $basejarname "\n"
+    $JAVA_HOME/jre/bin/unpack200 $filename /tmp/$basejarname
+    #unpack200 $filename /tmp/$basejarname
+    vresult=`$JAVA_HOME/bin/jarsigner -verify /tmp/$basejarname`
+    exitcode=$?
+    rm /tmp/$basejarname
+else
+    #echo -e "\n filename: " $filename "\n"
+    vresult=`$JAVA_HOME/bin/jarsigner -verify $filename`
+    exitcode=$?
+fi
+
+if [[ "${vresult}" =~ "^jar verified.*" ]]
+then
+    printf '%-100s \t\t' "   ${jarname}: " >> "${VERIFYOUTDIR}"/verified.txt 
+    printf '%s\n' " ${vresult} " >> "${VERIFYOUTDIR}"/verified.txt
+elif [[ "${vresult}" =~ "^jar is unsigned.*" ]]
+then
 
 # purposely no line delimiter, so output of jarsigner is on same line
-printf '%-100s \t\t' "   ${jarname}: " 
-/shared/webtools/apps/ibm-java2-sdk-5.0-6.0-linux-ppc/bin/jarsigner -verify $1 
-exitcode=$?
+    printf '%-100s \t\t' "   ${jarname}: "  >> "${VERIFYOUTDIR}"/unsigned.txt 
+    printf '%s\n' " ${vresult} "  >> "${VERIFYOUTDIR}"/unsigned.txt 
+elif [[ "${vresult}" =~ "^no manifest.*" ]]
+then
 
-if [ $exitcode -gt 0 ]
-then 
-    echo "\nexitcode: $exitcode: $(basename $1)"
+# purposely no line delimiter, so output of jarsigner is on same line
+    printf '%-100s \t\t' "   ${jarname}: "  >> "${VERIFYOUTDIR}"/nomanifest.txt 
+    printf '%s\n' " ${vresult} "  >> "${VERIFYOUTDIR}"/nomanifest.txt 
+
+else 
+    printf '%-100s \t\t' "   ${jarname}: "  >> "${VERIFYOUTDIR}"/error.txt 
+    printf '%s\n' " ${vresult} "  >> "${VERIFYOUTDIR}"/error.txt 
+fi
+ 
+if [[ $exitcode -gt 0 ]]
+then
+
+    echo -e "\n exitcode: " $exitcode: $(basename $filename)" \n"  >> "${VERIFYOUTDIR}"/errorexit.txt  
 fi
 
 
diff --git a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verifydir.sh b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verifydir.sh
index f033c52..91c0923 100644
--- a/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verifydir.sh
+++ b/plugins/org.eclipse.wtp.releng.tools/examplebinscripts/verifydir.sh
@@ -7,13 +7,26 @@
 fi
 if [ -z $2 ]
 then
-    pat="*.jar"
+    pat=".*\(\.jar$\|\.jar\.pack\.gz$\)"
 else
     pat="${2}"
 fi
 
-echo "verify directory: ${loc}";
-echo "   for pattern:    ${pat}";
+# VERIFYOUTDIR is used in 'verify.sh' and must be clean before
+# beginning
+export VERIFYOUTDIR="${HOME}"/verifyoutdir
 
-find "${loc}" -name "${pat}" -exec verify.sh '{}' \;
+# even though we just set it above, include the if check 
+# here to gaurd against future errors, since if 'verfiyoutdir' is 
+# not defined, the remove if for the root directory! 
+if [[ -n "${VERIFYOUTDIR}" ]]
+then
+       rm -fr "${VERIFYOUTDIR}"/*
+fi
+
+echo "   verify directory: ${loc}";
+echo "      for pattern:    ${pat}";
+echo "   output files in "${VERIFYOUTDIR}" 
+
+find "${loc}" -regex "${pat}" -exec verify.sh '{}' \;